summaryrefslogtreecommitdiff
path: root/debian/postinst
diff options
context:
space:
mode:
authorKibum Kim <kb0929.kim@samsung.com>2012-01-07 00:49:50 +0900
committerKibum Kim <kb0929.kim@samsung.com>2012-01-07 00:49:50 +0900
commit9c3072c8127108bd753e22f2cbfa107e430a2a57 (patch)
tree344a39a9ad6c1c78bd7b2455546cd5cee85c0a80 /debian/postinst
parentea3bce7969e299386bd35f2bca00c33cf31e5d37 (diff)
downloadlocales-init-9c3072c8127108bd753e22f2cbfa107e430a2a57.tar.gz
locales-init-9c3072c8127108bd753e22f2cbfa107e430a2a57.tar.bz2
locales-init-9c3072c8127108bd753e22f2cbfa107e430a2a57.zip
Git init
Diffstat (limited to 'debian/postinst')
-rw-r--r--debian/postinst67
1 files changed, 67 insertions, 0 deletions
diff --git a/debian/postinst b/debian/postinst
new file mode 100644
index 0000000..aad1144
--- /dev/null
+++ b/debian/postinst
@@ -0,0 +1,67 @@
+#!/bin/sh
+# postinst script for locales-init
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <postinst> `configure' <most-recently-configured-version>
+# * <old-postinst> `abort-upgrade' <new version>
+# * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+# <new-version>
+# * <postinst> `abort-remove'
+# * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+# <failed-install-package> <version> `removing'
+# <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+. /usr/share/debconf/confmodule
+
+case "$1" in
+ *configure)
+ TMP="`tempfile`"
+
+ db_get locales-init/locales-regex
+ LOCALE_REGEXP="$RET"
+
+ egrep -v '^(#|$)' /etc/locale.gen |
+ egrep -v "^ *$LOCALE_REGEXP" |
+ while read line
+ do
+ echo Disabling locale `echo $line | cut -d' ' -f1` 1>&2
+ echo "-e 's|^$line\$|# $line|'"
+ done |
+ xargs sed /etc/locale.gen -r -e '' >"$TMP"
+ cat "$TMP" >/etc/locale.gen
+
+ egrep "^# *$LOCALE_REGEXP" /etc/locale.gen |
+ sed 's/^# *//' |
+ while read line
+ do
+ echo Enabling locale `echo $line | cut -d' ' -f1` 1>&2
+ echo "-e 's|^# *$line\$|$line|'"
+ done |
+ xargs sed /etc/locale.gen -r -e '' >"$TMP"
+ cat "$TMP" >/etc/locale.gen
+ rm "$TMP"
+
+ locale-gen
+ ;;
+
+ abort-upgrade|abort-remove|abort-deconfigure)
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0